Name:          mate-image-viewer
Version:       1.5.0
Release:       2%{?dist}
Summary:       Eye of MATE image viewer

License:       GPLv2+ and LGPLv2+ 
URL:           http://mate-desktop.org 
Source0:       http://pub.mate-desktop.org/releases/1.5/%{name}-%{version}.tar.xz
Patch0:        schema.patch

BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(libglade-2.0)
BuildRequires: pkgconfig(libexif)
BuildRequires: pkgconfig(exempi-2.0)
BuildRequires: pkgconfig(libart-2.0)
BuildRequires: pkgconfig(xt)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: pkgconfig(mate-doc-utils)
BuildRequires: pkgconfig(mate-desktop-2.0)
BuildRequires: pkgconfig(lcms)
BuildRequires: pkgconfig(gsettings-desktop-schemas)
BuildRequires: pkgconfig(mate-icon-theme)
BuildRequires: pkgconfig(pygtk-2.0)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: libjpeg-turbo-devel
BuildRequires: intltool
BuildRequires: rarian-compat
BuildRequires: desktop-file-utils
BuildRequires: mate-common

Requires:      gsettings-desktop-schemas     

%description
This is the Eye of MATE, an image viewer program.  It is meant to be
a fast and functional image viewer.

Eye of MATE is a fork of Eye of GNOME.

%package devel
Summary:  Support for developing plugins for the eom image viewer
Group:    Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}


%description devel
The Eye of MATE image viewer (eom) is the official image viewer for the
MATE desktop. This package allows you to develop plugins that add new
functionality to eog.

%prep
%setup -q
%patch0 -p1
NOCONFIGURE=1 ./autogen.sh


%build
%configure \
   --disable-scrollkeeper \
   --disable-schemas-install 
           
make V=1 %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor "" --delete-original \
  --remove-category=MATE                           \
  --add-category=X-Mate                            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications    \
  $RPM_BUILD_ROOT%{_datadir}/applications/eom.desktop

find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'
find ${RPM_BUILD_ROOT} -type f -name "*.a" -exec rm -f {} ';'

%find_lang eom --with-gnome

# save space by linking identical images in translated docs
helpdir=$RPM_BUILD_ROOT%{_datadir}/mate/help/%{name}
for f in $helpdir/C/figures/*.png; do
  b="$(basename $f)"
  for d in $helpdir/*; do
    if [ -d "$d" -a "$d" != "$helpdir/C" ]; then
      g="$d/figures/$b"
      if [ -f "$g" ]; then
        if cmp -s $f $g; then
          rm "$g"; ln -s "../../C/figures/$b" "$g"
        fi
      fi
    fi
  done
done


%post
/usr/bin/update-desktop-database &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ]; then
  /bin/touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
  /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
  /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f eom.lang
%doc AUTHORS COPYING NEWS README
%{_bindir}/eom
%{_libdir}/eom/plugins/
%{_datadir}/applications/eom.desktop
%{_datadir}/eom/
%{_datadir}/mate/help/eom/
%{_datadir}/icons/hicolor/*/apps/eom.*
%{_datadir}/glib-2.0/schemas/org.mate.eom.gschema.xml

%files devel
%{_libdir}/pkgconfig/eom.pc
%{_includedir}/eom-2.20/

%changelog
* Tue Nov 06 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.0-2
- Fix scriptlet mistake

* Mon Nov 05 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.0-1
- Initial build

